Bug 1346695 (CVE-2016-5321) - CVE-2016-5321 libtiff: tiffcrop readSeparateTilesIntoBuffer() memory corruption
Summary: CVE-2016-5321 libtiff: tiffcrop readSeparateTilesIntoBuffer() memory corruption
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-5321
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1346701 1346699 1346700
Blocks: 1346703
TreeView+ depends on / blocked
 
Reported: 2016-06-15 08:13 UTC by Andrej Nemec
Modified: 2019-09-29 13:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-27 09:31:10 UTC


Attachments (Terms of Use)
patch for RHEL7 (643 bytes, patch)
2017-05-10 12:24 UTC, Stefan Cornelius
no flags Details | Diff

Description Andrej Nemec 2016-06-15 08:13:38 UTC
A vulnerability was found in libtiff tiffcrop tool. Processing a maliciously crafted TIFF file within the tiffcrop tool could cause a memory corruption, resulting in an application crash or, possibly, execution of arbitrary code.

References:

http://seclists.org/oss-sec/2016/q2/549
http://bugzilla.maptools.org/show_bug.cgi?id=2558

Comment 1 Andrej Nemec 2016-06-15 08:20:24 UTC
Created libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1346699]

Comment 2 Andrej Nemec 2016-06-15 08:20:29 UTC
Created mingw-libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1346700]
Affects: epel-7 [bug 1346701]

Comment 4 Stefan Cornelius 2017-05-10 12:24:53 UTC
Created attachment 1277611 [details]
patch for RHEL7

This is http://bugzilla.maptools.org/show_bug.cgi?id=2558#c2 ported to RHEL7.


Note You need to log in before you can comment on or make changes to this bug.